Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# QwtCompassMagnetNeedle Class Reference

Inheritance diagram for QwtCompassMagnetNeedle:

[legend]
Collaboration diagram for QwtCompassMagnetNeedle:

[legend]
List of all members.

## Detailed Description

A magnet needle for compass widgets.

A magnet needle points to two opposite directions indicating north and south.

The following colors are used:

- QColorGroup::Light
  Used for pointing south
- QColorGroup::Dark
  Used for pointing north
- QColorGroup::Base
  Knob (ThinStyle only)

See also:
  QwtDial, QwtCompass

Definition at line 123 of file qwt_dial_needle.h.

## Public Types
enum | Style { TriangleStyle, ThinStyle }
## Public Member Functions
| QwtCompassMagnetNeedle (Style=TriangleStyle, const QColor &light=Qt::white, const QColor &dark=Qt::red)
virtual void | draw (QPainter *, const QPoint &, int length, double direction, QPalette::ColorGroup=QPalette::Active) const
## Static Public Member Functions
void | drawTriangleNeedle (QPainter *, const QColorGroup &, const QPoint &, int length, double direction)
void | drawThinNeedle (QPainter *, const QColorGroup &, const QPoint &, int length, double direction)
## Static Protected Member Functions
void | drawPointer (QPainter *painter, const QBrush &brush, int colorOffset, const QPoint &center, int length, int width, double direction)

## Constructor & Destructor Documentation

QwtCompassMagnetNeedle::QwtCompassMagnetNeedle | ( | Style | = `TriangleStyle`,
|  | const QColor & | light = `Qt::white`,
|  | const QColor & | dark = `Qt::red`
| ) |

| Constructor. Definition at line 268 of file qwt_dial_needle.cpp. References QwtDialNeedle::setPalette().

## Member Function Documentation

void QwtCompassMagnetNeedle::draw | ( | QPainter * | painter,
|  | const QPoint & | center,
|  | int | length,
|  | double | direction,
|  | QPalette::ColorGroup | cg = `QPalette::Active`
| ) | const`[virtual]`

  | Draw the needle Parameters:
  | painter | Painter
  | center | Center of the dial, start position for the needle
  | length | Length of the needle
  | direction | Direction of the needle, in degrees counter clockwise
  | cg | Color group, used for painting
Implements QwtDialNeedle. Definition at line 295 of file qwt_dial_needle.cpp. References QwtDialNeedle::colorGroup(), drawThinNeedle(), and drawTriangleNeedle().

void QwtCompassMagnetNeedle::drawPointer | ( | QPainter * | painter,
|  | const QBrush & | brush,
|  | int | colorOffset,
|  | const QPoint & | center,
|  | int | length,
|  | int | width,
|  | double | direction
| ) | `[static, protected]`

| Draw a compass needle Definition at line 394 of file qwt_dial_needle.cpp. Referenced by drawThinNeedle().

void QwtCompassMagnetNeedle::drawThinNeedle | ( | QPainter * | painter,
|  | const QColorGroup & | cg,
|  | const QPoint & | center,
|  | int | length,
|  | double | direction
| ) | `[static]`

| Draw a compass needle Definition at line 369 of file qwt_dial_needle.cpp. References QwtDialNeedle::drawKnob(), and drawPointer(). Referenced by draw().

void QwtCompassMagnetNeedle::drawTriangleNeedle | ( | QPainter * | painter,
|  | const QColorGroup & | cg,
|  | const QPoint & | center,
|  | int | length,
|  | double | direction
| ) | `[static]`

| Draw a compass needle Definition at line 313 of file qwt_dial_needle.cpp. Referenced by draw().